Module | TclTkLib
In: | tcltklib/tcltklib.c

—- initialization —-

### Methods

_conv_listelement _fromUTF8 _merge_tklist _split_tklist _subst_Tcl_backslash _subst_UTF_backslash _toUTF8 do_one_event do_thread_callback encoding encoding= encoding_system encoding_system= get_eventloop_tick get_eventloop_weight get_no_event_wait mainloop mainloop_abort_on_exception mainloop_abort_on_exception= mainloop_thread? mainloop_watchdog num_of_mainwindows set_eventloop_tick set_eventloop_weight set_max_block_time set_no_event_wait

### Classes and Modules

Module TclTkLib::EventFlag
Module TclTkLib::VarAccessFlag

### Public Instance methods

_conv_listelement(p1)
_fromUTF8(...)
_merge_tklist(...)
_split_tklist(p1)
_subst_Tcl_backslash(p1)
_subst_UTF_backslash(p1)
_toUTF8(...)
do_one_event(...)
do_thread_callback(...)
encoding()
encoding=(p1)
encoding_system()
encoding_system=(p1)
get_eventloop_tick()
get_eventloop_weight()
get_no_event_wait()
mainloop(...)

execute Tk_MainLoop

[Source]

    /* execute Tk_MainLoop */
    static VALUE
    lib_mainloop(argc, argv, self)
        int   argc;
        VALUE *argv;
        VALUE self;
    {
        VALUE check_rootwidget;

        if (rb_scan_args(argc, argv, "01", &check_rootwidget) == 0) {
            check_rootwidget = Qtrue;
        } else if (RTEST(check_rootwidget)) {
            check_rootwidget = Qtrue;
        } else {
            check_rootwidget = Qfalse;
        }

        return lib_eventloop_launcher(RTEST(check_rootwidget), 0, (int*)NULL);
    }

mainloop_abort_on_exception()
mainloop_abort_on_exception=(p1)
mainloop_thread?()
mainloop_watchdog(...)
num_of_mainwindows()
set_eventloop_tick(p1)
set_eventloop_weight(p1, p2)
set_max_block_time(p1)
set_no_event_wait(p1)

[Validate]